#include <VoxelverseSession/VoxelverseSession.hpp>

/**
 * @brief Describes the client session.
 */
class VoxelverseClient : public VoxelverseSession
{
private:
    bool windowMaximized = false;

    void mainLoop();

public:
    void onPreloadingFinished();

    virtual int run() override;
    virtual std::string getSessionTypeName() override;
};